This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 839317 - Review Request: jaxws-jboss-httpserver-httpspi - JBoss httpserver to JAXWS 2.2 HTTP SPI bridge
Review Request: jaxws-jboss-httpserver-httpspi - JBoss httpserver to JAXWS 2....
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 10:51 EDT by Marek Goldmann
Modified: 2012-07-26 18:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 12:01:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 gil cattaneo 2012-07-16 08:13:52 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint jaxws-jboss-httpserver-httpspi-1.0.1-1.fc18.noarch.rpm

jaxws-jboss-httpserver-httpspi.noarch: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
jaxws-jboss-httpserver-httpspi.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint jaxws-jboss-httpserver-httpspi-1.0.1-1.fc18.src.rpm

jaxws-jboss-httpserver-httpspi.src: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
jaxws-jboss-httpserver-httpspi.src: W: invalid-url Source0: jaxws-jboss-httpserver-httpspi-1.0.1.GA.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint jaxws-jboss-httpserver-httpspi-javadoc-1.0.1-1.fc18.noarch.rpm

jaxws-jboss-httpserver-httpspi-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jaxws-jboss-httpserver-httpspi-javadoc.noarch: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[ ]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[ ]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[ ]: SHOULD Package has BuildArch: noarch (if possible)
[ ]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[ ]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[ ]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint jaxws-jboss-httpserver-httpspi-1.0.1-1.fc18.noarch.rpm

jaxws-jboss-httpserver-httpspi.noarch: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
jaxws-jboss-httpserver-httpspi.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint jaxws-jboss-httpserver-httpspi-1.0.1-1.fc18.src.rpm

jaxws-jboss-httpserver-httpspi.src: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
jaxws-jboss-httpserver-httpspi.src: W: invalid-url Source0: jaxws-jboss-httpserver-httpspi-1.0.1.GA.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint jaxws-jboss-httpserver-httpspi-javadoc-1.0.1-1.fc18.noarch.rpm

jaxws-jboss-httpserver-httpspi-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jaxws-jboss-httpserver-httpspi-javadoc.noarch: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
Comment 2 gil cattaneo 2012-07-16 08:17:10 EDT
No blocker issues found.

**************
** APPROVED **
**************
Comment 3 Marek Goldmann 2012-07-16 08:21:17 EDT
Thanks!

New Package SCM Request
=======================
Package Name: jaxws-jboss-httpserver-httpspi
Short Description: JBoss httpserver to JAXWS 2.2 HTTP SPI bridge
Owners: goldmann
Branches: f17
Comment 4 Gwyn Ciesla 2012-07-16 11:07:21 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-07-16 12:08:26 EDT
jaxws-jboss-httpserver-httpspi-1.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jaxws-jboss-httpserver-httpspi-1.0.1-1.fc17
Comment 6 Marek Goldmann 2012-07-18 12:10:47 EDT
Gil, you don't need to close the bug on your own (the resolution is wrong, btw). it'll be closed automatically by Bodhi once the package gets pushed to stable repository.
Comment 7 gil cattaneo 2012-07-18 12:12:51 EDT
ok sorry
Comment 8 Fedora Update System 2012-07-26 18:26:35 EDT
jaxws-jboss-httpserver-httpspi-1.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.